Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m (template "jp")
Line 107: Line 107:
 
{{ProprieteDonnees|Label}} : Nom de l'objet, modifiable à volonté.
 
{{ProprieteDonnees|Label}} : Nom de l'objet, modifiable à volonté.
  
{{ProprieteDonnees|Placement}} : '''[(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)]''', récapitulatif de toutes les données de position.
+
{{ProprieteDonnees|Placement}} : [('''0,00 0,00 1,00''');'''0,00''';('''0,00 0,00 0,00''')], donne l'ensemble des données '''Axis, Angle''', et, '''Position''' ci dessous.<br>Si vous sélectionnez, le titre '''Placement''', un bouton avec {{KEY|trois petits points}} s'affiche [[Image:Tache_Placement_01_fr_00.png|256px|Options Placement]], en cliquant sur ce bouton {{KEY|''' ... '''}}, vous avez accès à la fenêtre d'options '''[[Tasks_Placement/fr|Tâche Placement]]'''.  
 
* {{ProprieteDonnees|Angle}} : Angle de rotation par rapport aux coordonnées '''X, Y, Z'''
 
* {{ProprieteDonnees|Angle}} : Angle de rotation par rapport aux coordonnées '''X, Y, Z'''
 
* {{ProprieteDonnees|Axis}} : Sélection de l'axe(s) de rotation de travail  '''X, Y''', ou '''Z'''.<br>Par exemple : nous déterminons un {{ProprieteDonnees|Angle}} de '''15°''', nous spécifions une valeur de '''1,0 pour x''' et '''2,0 pour y''', cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, "''' 15° dans l'axe x''' " et "''' 30° dans l'axe y''' ". (Défaut, '''Z = 1 = actif''')
 
* {{ProprieteDonnees|Axis}} : Sélection de l'axe(s) de rotation de travail  '''X, Y''', ou '''Z'''.<br>Par exemple : nous déterminons un {{ProprieteDonnees|Angle}} de '''15°''', nous spécifions une valeur de '''1,0 pour x''' et '''2,0 pour y''', cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, "''' 15° dans l'axe x''' " et "''' 30° dans l'axe y''' ". (Défaut, '''Z = 1 = actif''')
Line 115: Line 115:
  
 
{{clear}}
 
{{clear}}
 +
 
==Script==
 
==Script==
  

Revision as of 18:31, 16 November 2012

Ligne

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Planche à dessin (2d Draft)
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant Draft Workingplane.png. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches ou à partir de la barre d'outils "d'application de Style" Draft Style 01.png (voir plus de détails en bas).
L'outil ligne se comporte comme une polyline (Draft Wire) Draft Wire.png à la différence qu'il s'arrête au bout deux points. Les points peuvent être choisis à l'aide de la souris dans la vue modèle 3D, ou bien par la saisie de coordonnées à l'aide du clavier.
Draft Line example.jpg

Utilisation


  1. Cliquez sur le bouton Draft Line.png Draft Line ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D view, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D view, ou entrez les coordonnées


Options


Draft Style 02.png

  • Pour entrer les coordonnées manuellement, entrez chaque composante, X, Y et Z et appuyez simplement sur ​​ENTRER.
  • Appuyez sur R ou cliquez sur la case à cocher/décocher du "mode relatif". Si le mode relatif est activé, les coordonnées du second point sont par rapport à la première. Si non, ils sont absolus, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case à cocher/décocher continuer. Si le mode continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur la touche ligne Draft Line.png.
  • Sélectionner un point dans une zone vide de la vue modèle 3D, ou sur un objet existant.
  • Appuyer sur CTRL accroche le point sur un emplacement d'accrochage disponible, indépendamment de la longueur.
  • Appuyer sur SHIFT contraint le nouveau point en relation au point précédent.
  • Saisir des valeurs numériques insère une coordonnée manuellement.
  • Appuyer sur CTRL+Z ou sur le bouton Draft UndoLine.png Undo annule le point précédent.
  • Appuyer sur ESC annule l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.


Plan et Style


Draft Style Plan Travail.png Donner un plan "front" (Le texte change suivant la sélection):
Draft Style Coordonnee XYZ.png

demande un "Décalage" par rapport aux coordonnées 0,0,0.
puis le choix entre un plan XY ou XZ ou YZ.
ou "Vue" plan perpendiculaire par rapport au plan actuel.
ou "Aucun" plan (libre).

Draft Style Mode Construction.png Active ou désactive le mode construction.
Draft Style Couleur Ligne.png Donne la couleur à la ligne (bord).
Draft Style Couleur Face.png Donne la couleur de fond à la forme.
Draft Style Epaisseur Ligne.png Donne l'épaisseur à la ligne (bord).
Draft Style Hauteur Texte.png Donne la hauteur du texte de 0 à 99,99 (très utile pour les cotations).
Draft Style Style.png Donne l'ensemble des paramètres de style aux objets sélectionnés.

Propriétés

Vue combinée → Projet → Vue


Draft Line fr 03.png

Base

  • VUEBounding Box : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur False, ou True (Défaut, False).
  • VUEControl Points : Valeur False, ou True (Défaut, False).
  • VUEDeviation :
  • VUEDisplay Mode : Mode d'affichage de la forme, Flat lines, Shaded, Wireframe, Points Vue DisplayModePartDesign fr 00.png. (Défaut, Wireframe).
  • VUEDraw Style : Type de ligne, Solid, Dashed, Dotted, Dashdot Vue DrawStyle fr 00.png. (Défaut, Solid).
  • VUEEnd Arrow : Montre le symbole d'une flèche au dernier point du fil, donc, il peut être utilisé comme une flèche d'annotation. Valeur False, ou True (Défaut, True). (Le modèle de flèche, est modifiable, à partir de Edition → Préférences → Draft, tout comme la flèche des cotations).
  • VUELighting : Éclairage One side, Two side Vue Lighting fr 00.png. (Défaut, Two side).
  • VUELine Color : Donne la couleur de la ligne (bords) (Défaut, 0, 0, 0).
  • VUELine Width : Donne l'épaisseur de la ligne (bords) (Défaut, 1).
  • VUEPoint Color : Donne la couleur des points (extrémités de la forme) (Défaut, 0, 0, 0).
  • VUEPoint Size : Donne la dimension des points (Défaut, 2).
  • VUESelectable : Autorise la sélection de la forme. Valeur False, ou True (Défaut, True).
  • VUEShape Color : Donne la couleur de la forme (Défaut, 204, 204, 204).
  • VUETransparency : Règle le degrés de transparence de la forme, de 0 à 100 (Défaut, 0).
  • VUEVisibility : Détermine la visibilité de la forme (comme la barre ESPACE). Valeur False, ou True (Défaut, True).

Grid

  • VUEGrid Size : Modifie la dimension de la grille, (Défaut, 10 mm).
  • VUEGrid Snap : Permet l'accrochage sur la grille. Valeur False, ou True (Défaut, False).
  • VUEGrid Style : Change le style de ligne de la grille Dashed, ou Light Vue GridStyle fr 00.png (Défaut, Dashed).
  • VUEShow Grid : Permet d'afficher, ou non la grille. Valeur False, ou True (Défaut, False).
  • VUETight Grid : Affiche une grille serrée ou non. Valeur False, ou True (Défaut, True).


Vue combinée → Projet → Données


Draft Line fr 04.png

2D

Base

DONNÉESClosed : Détermine si le Wire est ouvert ou fermé. Valeur False, ou True (Défaut, False).

DONNÉESEnd : [10,00 0,00 0,00], récapitulatif des coordonnées de la fin de la ligne (dernier point)

DONNÉESFillet Radius : Donne une courbe aux angles du Wire (Défaut, 0 mm).

DONNÉESLabel : Nom de l'objet, modifiable à volonté.

DONNÉESPlacement : [(0,00 0,00 1,00);0,00;(0,00 0,00 0,00)], donne l'ensemble des données Axis, Angle, et, Position ci dessous.
Si vous sélectionnez, le titre Placement, un bouton avec trois petits points s'affiche Options Placement, en cliquant sur ce bouton ... , vous avez accès à la fenêtre d'options Tâche Placement.

  • DONNÉESAngle : Angle de rotation par rapport aux coordonnées X, Y, Z
  • DONNÉESAxis : Sélection de l'axe(s) de rotation de travail X, Y, ou Z.
    Par exemple : nous déterminons un DONNÉESAngle de 15°, nous spécifions une valeur de 1,0 pour x et 2,0 pour y, cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, " 15° dans l'axe x " et " 30° dans l'axe y ". (Défaut, Z = 1 = actif)
  • DONNÉESPosition : Déplacement des coordonnées X, Y, Z, par rapport aux points d'origine 0, 0, 0.

DONNÉESStart : [0,00 0,00 0,00], récapitulatif des coordonnées du début de la ligne (premier point)


Script

L'outil ligne peut être utilisé par la macros de la console Python en utilisant la fonction suivante :

makeLine (Vector, Vector) : Crée une ligne entre les deux vecteurs donnés. 
La largeur et la couleur définis dans le projet courant, seront utilisés. Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))

Les outils Draft

text-top=Ligne à 2 points    text-top=Ligne à points multiples    text-top=Cercle    text-top=Arc    text-top=Polygone    text-top=Rectangle    text-top=Texte    text-top=Cote    text-top=Courbe B-Spline (Bézier)    text-top=Point    text-top=ShapeString

Traductions disponibles: Flag-en.jpg Flag-es.jpg Flag-it.jpg Flag-jp.jpg Template:Se